<?php

namespace App\Http\Controllers;

use App\Http\Resources\API\BlogResource;
use App\Models\Blog;
use Illuminate\Database\Eloquent\ModelNotFoundException;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use App\Http\Requests\API\Blogrequest;

class BlogController extends Controller
{
    /**
     * Display a listing of the resource.
     */

    public function __construct(){

         $this->section = new \stdClass();
         $this->section->slug = 'blog';
         $this->section->folder = 'Pages';
     }


    public function index()
    {
        $section=$this->section;
        try{
            $getblogs=Blog::get();
            return view($section->folder.".blogs",compact("getblogs"));
        }

        catch(ModelNotFoundException $e)
        {
            return response()->json([
                'message'=>'data not found'
            ],422);
        }
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {        
        $section=$this->section;
        $blog=[];
        $section->method="POST";

        return view("Pages.blogsform",compact('blog','section'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Blogrequest $request)
    {
       
       
            //dd($request->all());
            $request->validated();
            $input=$request->all();
            $image=$request->image;
            $ext=$image->getClientOriginalExtension();
            $filename = asset("partnerloggo/img-" . time() . "-" . rand() . "." . $ext);
            $destinationPath = public_path('partnerloggo');
            $image->move($destinationPath, $filename);
            $input['image'] = $filename;
            $slug = Str::slug($request->title ,'-');
            $originalSlug = $slug;
            $count = 1;
            while (Blog::where('slug', $slug)->exists()) {
                $slug = $originalSlug . '-' . $count++;
            }
            $input['slug']=$slug;
            Blog::create($input);
            return redirect()->back()->with("success","blog added succesfully");
            
       
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $slug)
    {
        $section=$this->section;
        $blog=Blog::where('slug',$slug)->first();
        $section->route=[ $section->slug.".update",$slug];
        $section->method="PUT";
        // $blogs=Blog::where('slug',$slug)->first();
        return view('Pages.blogsform',compact('blog','section'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Blogrequest $request, string $slug)
    {
            //dd($slug);
           $blog=Blog::where('slug',$slug)->first();
            //dd($blog);
            $request->validated();
            $input=$request->all();
            if ($request->hasFile('image')) {
                $image = $request->file('image');
                $ext = $image->getClientOriginalExtension();
                $filename = asset("blog/img-" . time() . "-" . rand() . "." . $ext); // Generate unique file name
                $destinationPath = public_path('blog');
                $image->move($destinationPath, $filename);
                $input['image'] =  $filename; // Assuming 'blog/' is the public directory path
            }
            $blog->update($input);          
            return redirect()->back()->with('success',"Blog Updated Successfully");
            
       
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        Blog::where('id',$id)->delete();
        return redirect()->back()->with('success',"Blog Delete Successfully");

    }
}
