<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Document</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css">
  <script defer src="https://cdn.jsdelivr.net/npm/alpinejs@3.x.x/dist/cdn.min.js"></script>
  <link rel="stylesheet" href="{{ asset('css/styles.css') }}">
  <script src="https://cdn.ckeditor.com/ckeditor5/41.4.2/classic/ckeditor.js"></script>
<!-- Bootstrap Icons CDN -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css" rel="stylesheet">

</head>
<style>
  @import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
  body {
  margin: 0;  
  font-family: 'Poppins', sans-serif;
}

.container-fluid {
  padding: 0px;
  display: flex;
  position: relative;
}
.sidebar{
  background: #1B0C1C !important ;
}

.sidebar.hide {
  transform: translateX(-100%);
  width: 0;
  padding: 0;
  overflow: hidden;
  position: absolute;
}
.logo img {
    display: flex;
    margin: 0 auto;
    height: 90px;
    justify-content: center !important;
    /* text-align: center; */
    margin-bottom: 30px;
}

ul {
  background-color: #1B0C1C;
  padding: 20px 0 10px 10px;
  /* border-right: 5px solid white; */
  width: 250px;
  height: 100vh;
  transition: 0.5s;
  overflow: hidden;
}

ul li {
  list-style: none;
  padding: 15px;
  padding-right: 0;
  color: white;
  font-size: 15px;
  margin-bottom: 10px;
  cursor: pointer;
  position: relative;
  transition: 0.5s;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;

}



ul li.active:before {
  content: '';
  position: absolute;
  top:-20px;
  right: 0px;
  width: 20px;
  height:20px;
  background: transparent;
  border-radius: 50%;
  box-shadow: 10px 10px 0 white;
}

ul li.active:after {
  content: '';
  position: absolute;
  bottom:-20px;
  right: 0px;
  width: 20px;
  height:20px;
  background: transparent;
  border-radius: 50%;
  box-shadow: 10px -10px 0 white;

}

ul li.active {
  color: black;
  background: white;
}



.main-content {

  flex: 1;
  background-color: #ecf0f1;
  
  transition: margin-left 0.3s;
}

.header {
  
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: white;
  padding: 10px 20px;
  margin-bottom: 20px;
}

.toggle-btn {
  background: none;
  border: none;
  font-size: 24px;
  cursor: pointer;
}

.profile {
  display: flex;
  align-items: center;
}

.profile img {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  margin-right: 10px;
}

.cards {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.card {
  background-color: white;
  border-radius: 5px;
  padding: 20px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  width: calc(25% - 20px);
  box-sizing: border-box;
}

.card h3 {
  margin-top: 0;
}

.card p {
  margin: 0;
  color: #7f8c8d;
}

/* Media Queries */
@media (max-width: 1200px) {
  .card {
      width: calc(33.333% - 20px);
  }
}

@media (max-width: 900px) {
  .card {
      width: calc(50% - 20px);
  }
}

@media (max-width: 600px) {
  .header {
      flex-direction: column;
      align-items: center;
  }
  .profile {
      margin-bottom: 10px;
  }
  .card {
      width: 100%;
  }
  .sidebar {
      position: absolute;
      height: 100%;
      top: 0;
      left: 0;
      width: 250px;
  }
  .sidebar.hide {
      transform: translateX(-250px);
  }
  .main-content {
      margin-left: 0;
  }
}


</style>
<body>
  

  <div class="container-fluid">
    <aside class="sidebar" id="sidebar">
      <nav class="nav">
        <ul>
            
            <div class="logo">
              <img src="{{ asset('images/logo.png') }}" alt="Logo">
    
            </div>
            <a href="{{ route("dashboard") }}">  <li class="{{ request()->is('dashboard') ? 'active' : '' }}"> <i class="bi bi-house-door"></i> Home</li></a>
            <a href="{{ route("lead.index") }}"> <li class=" {{ request()->is('lead') ? 'active' : '' }}">   <i class="bi bi-person-lines-fill"></i> Leads</li></a>
            <a href="{{ route('blog.index') }}">  <li class=" {{ request()->is('blog') ? 'active' : '' }}"><i class="bi bi-journal-text"></i> Blogs</li></a>
         
          </ul>
        </nav>
    </aside>
    <main class="main-content" id="main-content">
        <header class="header">
            <button class="toggle-btn" id="toggle-btn">&#9776;</button>
            <div class="hidden sm:flex sm:items-center sm:ms-6">
              <x-dropdown align="right" width="48">
                  <x-slot name="trigger">
                      <button class="inline-flex items-center px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 bg-white hover:text-gray-700 focus:outline-none transition ease-in-out duration-150">
                          <div>{{ Auth::user()->name }}</div>

                          <div class="ms-1">
                              <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                                  <path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd" />
                              </svg>
                          </div>
                      </button>
                  </x-slot>

                  <x-slot name="content">
                      <x-dropdown-link :href="route('profile.edit')">
                          {{ __('Profile') }}
                      </x-dropdown-link>

                      <!-- Authentication -->
                      <form method="POST" action="{{ route('logout') }}">
                          @csrf

                          <x-dropdown-link :href="route('logout')"
                                  onclick="event.preventDefault();
                                              this.closest('form').submit();">
                              {{ __('Log Out') }}
                          </x-dropdown-link>
                      </form>
                  </x-slot>
              </x-dropdown>
          </div>
        </header>

        @yield('content')
    </main>
</div>
@yield('script')


<script>

  document.addEventListener("DOMContentLoaded", function () {
const toggleBtn = document.getElementById("toggle-btn");
const sidebar = document.getElementById("sidebar");

toggleBtn.addEventListener("click", function () {
  sidebar.classList.toggle("hide");
});

window.addEventListener("resize", function () {
  if (window.innerWidth <= 600) {
      sidebar.classList.add("hide");
  } else {
      sidebar.classList.remove("hide");
  }
});

// Automatically close the sidebar on load if on a small screen
if (window.innerWidth <= 600) {
  sidebar.classList.add("hide");
}
});

let items = document.querySelectorAll('li');

items.forEach(item => {
  item.addEventListener('click', () => {
     items.forEach(item => item.classList.remove('active'))
      item.classList.add('active')
    
  })
})

</script>
</body>
</html>